Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617482 - Samba client packet signature check error
Samba client packet signature check error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 617614
  Show dependency treegraph
 
Reported: 2010-07-23 04:34 EDT by Vladimir Rulev
Modified: 2011-03-19 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: samba-3.5.8-74.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 617614 (view as bug list)
Environment:
Last Closed: 2011-03-19 06:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Rulev 2010-07-23 04:34:21 EDT
Description of problem:
I'm using fusesmb with options large_read and big_writes. When I ties to copy file to network share of windows server, which requires packet signing (Microsoft network server: Digitally sign communications = Enabled), copying fails and only 32KB of file copied. Strarting fusesmb with debug option showed me error:

unique: 652, opcode: WRITE (16), nodeid: 79, insize: 32848
write[162498752] 32768 bytes to 0 flags: 0x8001
smb_signing_good: BAD SIG: seq 1
SMB Signature verification failed on incoming packet!
   write[162498752] 16384 bytes to 0
   unique: 652, success, outsize: 24
unique: 653, opcode: WRITE (16), nodeid: 79, insize: 16464
write[162498752] 16384 bytes to 16384 flags: 0x8001
   unique: 653, error: -22 (Invalid argument), outsize: 16
unique: 654, opcode: FLUSH (25), nodeid: 79, insize: 64
   unique: 654, error: -38 (Function not implemented), outsize: 16
unique: 655, opcode: RELEASE (18), nodeid: 79, insize: 64
release[162498752] flags: 0x8001
   unique: 655, success, outsize: 16

If size of file is less than 32KB copy process vents OK.
When I switches packet signing off copy process vents OK.
When I mounts fusesmb without big_writes copy process vents OK too.

Same behaviour I observes if I copies files in KDE's dolphin file manager. 


Version-Release number of selected component (if applicable):
libsmbclient-3.5.4
samba-client-3.5.4

How reproducible:


Steps to Reproduce:
1. Turn on mandatory packet signing on windows server (Microsoft network server: Digitally sign communications (always) = Enabled in security policy/security options).
2. Mount windows shares using fusesmb -o large_read,big_writes or connect to share via dolphin.
3. Try to copy file (size > 32KB) to share.
  
Actual results:
Error occured and only 32KB of file copied.

Expected results:
File will copied OK.

Additional info:
Problem seems related to write segment size.
Comment 1 Fedora Admin XMLRPC Client 2010-10-08 10:43:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Guenther Deschner 2010-11-01 11:40:21 EDT
Can you please provide a packet trace of this issue ?
Comment 3 Guenther Deschner 2010-12-08 07:37:27 EST
Is this fixed with the most recent samba update we shipped ?
Comment 4 Fedora Update System 2011-03-11 07:43:49 EST
samba-3.5.8-74.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/samba-3.5.8-74.fc13
Comment 5 Fedora Update System 2011-03-19 06:26:47 EDT
samba-3.5.8-74.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.